org.keycloak.models.mongo.keycloak.entities

## Class MongoOAuthClientEntity

- java.lang.Object
- - org.keycloak.models.entities.AbstractIdentifiableEntity
  - - org.keycloak.models.entities.ClientEntity
    - - org.keycloak.models.entities.OAuthClientEntity
      - - org.keycloak.models.mongo.keycloak.entities.MongoOAuthClientEntity

- All Implemented Interfaces:
    MongoEntity, MongoIdentifiableEntity

      @MongoCollection(collectionName="oauthClients")
      @MongoIndex(fields={"realmId","name"},
                  unique=true)
      public class MongoOAuthClientEntity
      extends OAuthClientEntity
      implements MongoIdentifiableEntity

  Author:
    Marek Posolda

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.entities.OAuthClientEntity

      `directGrantsOnly`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoOAuthClientEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterRemove(MongoStoreInvocationContext context)` Lifecycle callback, which is called after removal of this object from Mongo.

    - ### Methods inherited from class org.keycloak.models.entities.OAuthClientEntity

      `isDirectGrantsOnly, setDirectGrantsOnly`

    - ### Methods inherited from class org.keycloak.models.entities.ClientEntity

      `getAllowedClaimsMask, getName, getNotBefore, getRealmId, getRedirectUris, getScopeIds, getSecret, getWebOrigins, isEnabled, isFullScopeAllowed, isPublicClient, setAllowedClaimsMask, setEnabled, setFullScopeAllowed, setName, setNotBefore, setPublicClient, setRealmId, setRedirectUris, setScopeIds, setSecret, setWebOrigins`

    - ### Methods inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `equals, getId, hashCode, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.connections.mongo.api.MongoIdentifiableEntity

      `getId, setId`

- - ### Constructor Detail

    - #### MongoOAuthClientEntity

          public MongoOAuthClientEntity()

  - ### Method Detail

    - #### afterRemove

          public void afterRemove(MongoStoreInvocationContext context)

      Description copied from interface: `MongoIdentifiableEntity`
      Lifecycle callback, which is called after removal of this object from Mongo. It may be useful for triggering removal of wired objects.
      Specified by:
        `afterRemove` in interface `MongoIdentifiableEntity`

Copyright © 2014. All Rights Reserved.